Bug 1875392 - Update to ssh2-python >= 0.22.0 for parallel-ssh >= 2.0.0
Summary: Update to ssh2-python >= 0.22.0 for parallel-ssh >= 2.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ssh2-python
Version: 35
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1723169 1891215 1904809 (view as bug list)
Depends On: 1723169
Blocks: 1830680
TreeView+ depends on / blocked
 
Reported: 2020-09-03 13:02 UTC by Raphael Groner
Modified: 2021-09-29 00:19 UTC (History)
2 users (show)

Fixed In Version: python-ssh2-python-0.26.0-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-29 00:19:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Raphael Groner 2020-09-03 13:02:50 UTC
Description of problem:
python-parallel-ssh is FTI due to b0rken API compatibility. Current package requires at least version 0.17.0 of ssh2-python.

Version-Release number of selected component (if applicable):
python-ssh2-python-0.15.0-10.fc33
python-parallel-ssh-1.9.1-4.fc32

How reproducible:
yes

Steps to Reproduce:
1. dnf install python3-parallel-ssh
2.
3.

Actual results:
dnf reports b0rken dependency

Expected results:
package gets installed properly

Additional info:

Comment 1 Raphael Groner 2020-10-12 00:44:16 UTC
*** Bug 1723169 has been marked as a duplicate of this bug. ***

Comment 2 Raphael Groner 2020-11-05 17:39:51 UTC
*** Bug 1891215 has been marked as a duplicate of this bug. ***

Comment 3 Raphael Groner 2020-11-05 17:40:17 UTC
Latest upstream release: 0.23.0

Comment 4 Ben Cotton 2021-02-09 16:16:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 5 Raphael Groner 2021-03-04 17:00:25 UTC
Version 0.26.0 is available.

Comment 6 Raphael Groner 2021-03-04 17:01:32 UTC
*** Bug 1904809 has been marked as a duplicate of this bug. ***

Comment 7 Ben Cotton 2021-08-10 13:42:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 8 Raphael Groner 2021-09-24 03:26:50 UTC
Well, successfully achieved to execute at least those small agent tests of upstream with help from some faking ssh options. All other tests result in segmentation faults coming from several python internals, e.g. jinja2 see bug #2007478.

Comment 9 Fedora Update System 2021-09-24 05:19:13 UTC
FEDORA-2021-a120bf38dd has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a120bf38dd

Comment 10 Fedora Update System 2021-09-24 21:44:22 UTC
FEDORA-2021-a120bf38dd has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a120bf38dd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a120bf38dd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-09-29 00:19:28 UTC
FEDORA-2021-a120bf38dd has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.